FROM node:14-alpine AS builder

ARG REACT_APP_BASE_URL
ARG REACT_APP_BASE_API
ENV REACT_APP_BASE_URL $REACT_APP_BASE_URL
ENV REACT_APP_BASE_API $REACT_APP_BASE_API

RUN mkdir -p /frontend
WORKDIR /frontend

COPY ./package.json .
COPY ./package-lock.json .

RUN npm install
COPY . .
RUN npm run build

FROM nginx
COPY --from=builder /frontend/build /usr/share/nginx/html
COPY nginx.conf /etc/nginx/conf.d/default.conf

EXPOSE 80 443
CMD [ "nginx", "-g", "daemon off;" ]